/*!
 * Ghostery for Firefox
 * http://www.ghostery.com/
 *
 * Copyright 2013 EVIDON, Inc. All rights reserved.
 * See ghostery_eula.txt for license.
 */

var parseUri = require('vendor/parseuri').parseUri,
	tabInfo = {};

function clear(tab_id) {
	delete tabInfo[tab_id];
}

function create(tab_id, tab_url) {
	tabInfo[tab_id] = {
		url: tab_url,
		host: parseUri(tab_url).host,
		// sids: [], // TODO
		DOMLoaded: false,
		needsReload: 0,
		worker: false
	};
}

function get(tab_id) {
	return tabInfo[tab_id];
}

exports.create = create;
exports.get = get;
exports.getAll = function () {
	return tabInfo;
};
exports.clear = clear;
